<?php

  date_default_timezone_set('America/Costa_Rica');

	include ("../conexion.php");

	$codfactura=$_GET["codfactura"];
	$horaactual = date("h:i:s A");

   
    $consulta = "SELECT * FROM web_0000 ";
	$resultado = $mysqli->query($consulta);
	$fila = $resultado->fetch_array();

         $nomcom = $fila["NOMCOM"];
	     $razsoc = $fila["RAZSOC"];
		 $cedjur = $fila["CEDJUR"];
		 $diremp = $fila["DIREMP"];
		 $numtel_empresa = $fila["NUMTEL"];
		 $numofi = $fila["numofi"];
		 $menfac = $fila["menfac"];
         $intmor = $fila["INTMOR"];

	  
	  $consulta ="SELECT * FROM facturas WHERE codfactura='$codfactura'";
	  $result = $mysqli->query($consulta);
      $row = $result->fetch_array();

        $marcaestado = $row["estado"];
        $marcaborrado = $row["borrado"];
        $horfac = $row["horfac"];
        $fecha = $row["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
        $cdgtipven = $row["cdgtipven"];
		$numfactura = $row["numfactura"];
		$cdgcli = $row["cdgcli"];
		$dsccli = $row["dsccli"];
        $fecven = $row["fechavencimiento"];
		$fecven= implode("-", array_reverse(explode("-", $fecven)));
		$codfactura = $row["codfactura"];
		$cdgcaj = $row["cdgven"];
		$obsfac = $row["obsfac"];
		$pagacon = $row["pagacon"];
		$vuelto = $row["vuelto"];
		

  	
	if ($cdgcli == 9999) {
		
	  $cliente ="Select * from facturas, web_0301 where facturas.codfactura=$codfactura and facturas.cdgcli= $cdgcli";
	  $result2 = $mysqli->query($cliente);
      $row2 = $result2->fetch_array();

      $dsccli = $row2["dsccli"];


	} else {

		 
	  $cliente ="Select * from facturas, web_0301 where facturas.codfactura=$codfactura and facturas.cdgcli= web_0301.cdgcli";
	  $result2 = $mysqli->query($cliente);
      $row2 = $result2->fetch_array();

      $dircli = $row2["DIRCLI"];
	  $cedcli = $row2["CEDCLI"];
	  $numtel = $row2["NUMTEL"];

		 
		
        }  
		
		if ($cdgtipven == 1 ) { $tipo_venta="FACTURA DE CONTADO"; $vencimiento ="                 ";} else { $tipo_venta="FACTURA DE CREDITO";   $vencimiento ="Vence: ". $fecven; }
        

 		$usuario = "SELECT * FROM usuarios WHERE codusu='$cdgcaj'";
		$resultado3 = $mysqli->query($usuario);
		$row3 = $resultado3->fetch_array();
		$vendedor = $row3["usu"];
	
?>

<?php


$puerto="LPT1";

		$subtotal=0;
		$impuesto_venta=0;
		$total_descuento=0;
		$total=0;

//if(($handle = @fopen("http://192.168.1.4/", "r")) === FALSE){


if(($handle = @fopen($puerto, "w")) === FALSE){
   		echo exec('Impresoras');
		
        die('No se puede Imprimir, Verifique la conexion con la IMPRESORA'); // Revisa la conexion con la impresora
    }
setlocale(LC_TIME, 'spanish');


fwrite($handle,chr(27). chr(64));//reinicio


//Salida: viernes 24 de febrero del 2012


fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(56));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27). chr(72). chr(5));//Color Rojo

fwrite($handle, "  ".$nomcom);

fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle,  "    ".$razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"    Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,  "    ".$diremp);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,"    Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS
//$factura = str_pad("  N. ".$numfactura, 23);
fwrite($handle, "    ".$tipo_venta."   N. ".$numfactura );
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *revisar *******
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
$CAJERO = str_pad("Cajero: " . $vendedor ,27);
fwrite($handle,"    Fecha: ". $fecha."                ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS
  $dsccli = substr($dsccli." ", 0,30);
fwrite($handle,"    Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $CAJERO);
fwrite($handle, $vencimiento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"    Articulo    "."             Cant."."         TOTAL");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha


$consulta3 = "SELECT factulinea.*,web_1001.* FROM factulinea,web_1001 WHERE factulinea.codfactura='$codfactura' AND factulinea.codigo=web_1001.cdgbar ORDER BY factulinea.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		
							
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
						
		if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
        $sublin=$preivi;
// formula inserta espacion ///

$tamaño=strlen($cantidad);
if($tamaño==4)   {  
  $acotado = substr( $dscart." ", 0, 23);
 $acotado = str_pad($acotado, 26);
 $canart = str_pad($cantidad, 4); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
 if($tamaño==5)   {  
  $acotado = substr( $dscart." ", 0, 22);
 $acotado = str_pad($acotado, 25);
 $canart = str_pad($cantidad, 5); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
  if($tamaño==6)   {  
  $acotado = substr( $dscart." ", 0, 22);
 $acotado = str_pad($acotado, 24);
 $canart = str_pad($cantidad, 6); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
   if($tamaño==7)   {  
  $acotado = substr( $dscart." ", 0, 22);
 $acotado = str_pad($acotado, 23);
 $canart = str_pad($cantidad, 7); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
  
   fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $acotado ."". $canart ."". $sublin."".$impart);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

							
				 } 
				 				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"                                     -----------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS
$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;
fwrite($handle,"       TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS

   //////////////////////////////////////////   factura de Credito ///////////////////////////////////////////////////////////////
if ($cdgtipven==2) { 


fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     ESTA FACTURA CONSTITUYE TITULO EJECUTIVO");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     AL TENOR DEL ARTICULO #460 DEL CODIGO DE");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     COMERCIO. EL DEUDOR RENUNCIA A LOS REQUE");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     RIMIENTOS DE PAGO, DOMICILIO  Y TRAMITES");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     DE PAGO, DOMICILIO Y  TRAMITES DE JUICIO");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     EJECUTIVO.  EL SUSCRITO DA FE,  BAJO  LA");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     GRAVEDAD DE JURAMENTO,  QUE SE ENCUENTRA");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     FACULATADO Y AUTORIZADO PARA FIRMAR ESTA");	
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "     FACTURA, CONFORME A ARTICULO SUPRACITADO");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(5));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"    ____________________________________________");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"     Firma y Cedula de Cliente"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "    "."(E) Exento  (G) Gravado  (I.V.I.)"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "      ".$numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "    ".$menfac );


     //////////////////////   MUESTRA EL NUEVO SALDO DEL CLIENTE  /////////////////////////

//	$query_tmp="SELECT salact, fecven FROM web_2101 WHERE cdgcli='$cdgcli' AND salact > 0 ";
//	$rs_tmp=mysql_query($query_tmp);
//	$contador=0;
//	$hoy=date("y-m-d");
//	
//	
// if ( mysql_num_rows($rs_tmp)>0) {
//	
//	while ($contador < mysql_num_rows($rs_tmp)) {
//	
//
//		$salact=mysql_result($rs_tmp,$contador,"salact");
//		$fecven=mysql_result($rs_tmp,$contador,"fecven");
//
//		$segundos=strtotime($hoy) - strtotime($fecven);
//		$dias=intval($segundos/60/60/24);
//	
//		if 	($dias  > 0 ) {
//		$taza=$tazint/100;
//		$interes=$salact*$taza;
//		$saldo=$interes/30;
//		$monint=$saldo*$dias;
//		$monint=round($monint,2);
//		} else {
//		$monint=0;
//		
//		}
//			$contador++;
//			$total_saldo=$salact + $total_saldo;
//		$total_interes = $monint + $total_interes;
//	}
//	$salact= $total_saldo + $total_interes;
//	$salact=round($salact);
//
//	}


	
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS
//$salact=number_format($salact,2,".",",");
//$salact=sprintf("%13s",$salact) ;
//fwrite($handle,"      SALDO ACTUAL:  ");
//fwrite($handle, chr(27). chr(97). chr(2));//Derecha
//fwrite($handle, $salact) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel




//////////////////////////////////////////////////////          si la factura es de credito imprime copia para el clientes /////////////////////////////////


fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(56));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27). chr(72). chr(5));//Color Rojo

fwrite($handle, "  ".$nomcom);

fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle,  "    ".$razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"    Cedula : ". $cedjur);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,  "    ".$diremp);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
//fwrite($handle,"    Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS
//$factura = str_pad("  N. ".$numfactura, 23);
fwrite($handle, "    ".$tipo_venta."   N. ".$numfactura );
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *revisar *******
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
$CAJERO = str_pad("Cajero: " . $vendedor ,27);
fwrite($handle,"    Fecha: ". $fecha."                ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS
  $dsccli = substr($dsccli." ", 0,30);
fwrite($handle,"    Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $CAJERO);
fwrite($handle, $vencimiento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"    Articulo    "."             Cant."."         TOTAL");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

 
$consulta3 = "SELECT factulinea.*,web_1001.* FROM factulinea,web_1001 WHERE factulinea.codfactura='$codfactura' AND factulinea.codigo=web_1001.cdgbar ORDER BY factulinea.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea = $fila["numlinea"];
        $cdgbar = $fila["codigo"];
        $dscart = $fila["dscart"];
		$cantidad= $fila["cantidad"];
		$preivi = $fila["preivi"];
		$prenivi = $fila["prenivi"];
		$importe = $fila["importe"];
		$impuesto= $fila["impuesto"];
		$descuento= $fila["mondes"];
							
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
						
		if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
        $sublin=$importe;
// formula inserta espacion ///

$tamaño=strlen($cantidad);
if($tamaño==4)   {  
  $acotado = substr( $dscart." ", 0, 23);
 $acotado = str_pad($acotado, 26);
 $canart = str_pad($cantidad, 4); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
 if($tamaño==5)   {  
  $acotado = substr( $dscart." ", 0, 22);
 $acotado = str_pad($acotado, 25);
 $canart = str_pad($cantidad, 5); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
  if($tamaño==6)   {  
  $acotado = substr( $dscart." ", 0, 22);
 $acotado = str_pad($acotado, 24);
 $canart = str_pad($cantidad, 6); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
   if($tamaño==7)   {  
  $acotado = substr( $dscart." ", 0, 22);
 $acotado = str_pad($acotado, 23);
 $canart = str_pad($cantidad, 7); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
  
   fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $acotado ."". $canart ."". $sublin."".$impart);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

							
				 } 
				 				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"                                     -----------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS
$total=sprintf("%13s",$total_neto) ;
fwrite($handle,"       TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS

fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "    "."(E) Exento  (G) Gravado  (I.V.I.)"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "      ".$numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "    ".$menfac );

	
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS
//$salact=sprintf("%13s",$salact) ;
//fwrite($handle,"      SALDO ACTUAL:  ");
//fwrite($handle, chr(27). chr(97). chr(2));//Derecha
//fwrite($handle, $salact) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel








 } else  {   ///////////////////////////////// si la factura es de contado //////////////////////////////////////////////

fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$monto=number_format($pagacon,2,".",",");
$pagado=sprintf("%13s",$monto);
fwrite($handle,"Monto Recibido:  ");
fwrite($handle,$pagado) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$cambio=number_format($vuelto,2,".",",");
$saldo=sprintf("%13s",$cambio);
fwrite($handle,"Su Cambio Gracias:  ");
fwrite($handle,$saldo) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "    "."(E) Exento  (G) Gravado  (I.V.I.)"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "      ".$numofi  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "    ".$menfac );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel

} 
	
		
fclose($handle); // cierra el fichero PRN
$salida = shell_exec('lpr $puerto'); //lpr->puerto impresora, imprimir archivo PRN

echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";



  
  
  
 
		 
 


?>


 